/* -------------------------------- 

Primary style

-------------------------------- */
*,
*::after,
*::before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/* *::after,
*::before {
	content: '';
} */

body {
	font-size: 100%;
	font-family: 'Montserrat', sans-serif;
	overflow-x: hidden;
}

a,
button {
	border: none;
	background-color: transparent;
	cursor: pointer;
	font-size: inherit;
	font: inherit;
	color: inherit;
	text-decoration: none;
	padding: 0;
}

a:hover {
	color: inherit;
	text-decoration: none;
}

hr,
.nav-i,
.menu-title,
.close-icon,
.mob-footer {
	display: none;
}

h3 {
	font-weight: 600;
}

a {
	text-decoration: none;
}
/* -------------------------------- 

Header style

-------------------------------- */

#header {
	display: flex;
	width: 100%;
	height: 5rem;
	justify-content: space-between;
	align-items: center;
	padding: 0 1.78125rem;
	box-sizing: border-box;
	background-color: #ffffff;
}

/* Hamburger Menu */

.hamburger-menu {
	cursor: pointer;
	position: relative;
	z-index: 1500;
	display: none;
}

.hamburger-menu .open-icon {
	font-size: 1.2rem;
	background-color: #fff;
	padding: 0.63rem;
	border-radius: 1.5rem;
	border: 0.0625rem solid #e5e5e5;
	box-shadow: 0 0.0625rem 0.25rem 0 rgba(0, 0, 0, 0.25);
}

.hamburger-menu .open-icon:hover {
	box-shadow: 0 0.125rem 0.5rem 0 rgba(0, 0, 0, 0.25);
}

/* Header Left */

.header-left {
	flex: 1;
}

.header-left form {
	position: relative;
	height: 2.625rem;
	width: 22.5rem;
	padding: 0 3.75rem 0 1.5625rem;
	border: 0.0625rem solid #757575;
	border-radius: 3.75rem;
	box-sizing: border-box;
	z-index: 2;
	font-size: 0.9375rem;
	background-color: white;
	color: black;
}

.header-left .search-txt {
	border: none;
	outline: none;
	font-size: inherit;
	position: absolute;
	top: 25%;
	left: 3.5%;
}

.header-left .search-btn {
	font-size: 1.4rem;
	position: absolute;
	top: 20%;
	left: 88%;
}

/* Header Center */

.header-center {
	font-family: 'Libre Baskerville', serif;
	font-size: 2.625rem;
	cursor: pointer;
}

/* Header Right */

.header-right {
	height: 2.625rem;
	flex: 1;
	display: flex;
	justify-content: flex-end;
	align-items: center;
}

.header-right .h-icon {
	margin-left: 1rem;
	margin-right: 0;
	font-size: 1.5rem;
}

.carousel-item .o-icon,
span {
	margin-right: 0.5rem;
}

/* -------------------------------- 

Header style

-------------------------------- */

#navbar {
	position: relative;
	width: 100%;
	z-index: 5;
	box-sizing: border-box;
}

.nav-container {
	width: 100%;
	background-color: #ffffff;
}

/* Nav Container */

.nav-list {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
	height: 2.875rem;
	padding: 0 1.25rem;
	margin-left: auto;
	margin-right: auto;
	max-width: 90rem;
	border-bottom: 0.0625rem solid #e5e5e5;
}

.nav-list .close-icon {
	font-size: 1.2rem;
	display: none;
}

.nav-list li {
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	margin-right: 0.25rem;
	margin-left: calc(1rem - 0.625rem);
	height: 100%;
}

.nav-name {
	display: block;
	position: relative;
	width: 100%;
	cursor: pointer;
	padding: 0.625rem;
	font-size: 0.9rem;
	text-transform: uppercase;
	height: 100%;
	transition: text-shadow 0.3s;
}

.nav-name:hover {
	text-shadow: 0 0 0.6px #000, 0 0 0.6px #000;
}

.nav-name::after {
	position: relative;
	top: 10px;
	content: '';
	display: inline-block;
	width: 0px;
	background: #000;
	height: 2px;
	opacity: 0;
	transition: opacity, width;
	transition-duration: 0.3s;
}

.nav-name:hover::after {
	opacity: 1;
	width: 100%;
}

/* Sub Menu */

.flex-row {
	position: absolute;
	display: none;
	flex-direction: row;
	top: 2.875rem;
	width: auto;
	left: 0;
	right: 0;
	background-color: #ffffff;
	padding: 0 1.25rem 1.25rem;
	font-size: 0.8125rem;
	box-sizing: border-box;
}

.nav-list li:hover .flex-row {
	display: flex;
}

.sub-menu {
	position: relative;
	display: flex;
	margin: 0 auto auto;
	margin-left: 1rem;
	padding-top: 1.5rem;
	max-width: 90rem;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
}

.sub-menu a {
	display: inline-block;
	margin-bottom: 0.1875rem;
	padding: 0.3125rem 0;
	font-size: 0.8125rem;
	transition: text-shadow 0.3s;
}

.sub-menu a:hover {
	text-shadow: 0 0 0.6px #000, 0 0 0.6px #000;
}

.sub-menu h3 {
	display: inline-block;
	cursor: pointer;
	padding: 0.8rem 0;
	text-transform: uppercase;
	font-size: 0.9rem;
}

/* -------------------------------- 

Slider style

-------------------------------- */

.wrapper {
	width: 100%;
	/* overflow: hidden; */
	margin: 1rem auto;
	padding: 1rem;
}

.slides-container {
	height: 500px;
	transition: 900ms cubic-bezier(0.48, 0.15, 0.18, 1);
	position: relative;
}

.slide-image {
	height: 100%;
	width: 100%;
	position: absolute;
}

.slide-image img {
	width: 100%;
	height: 100%;
}

.slide-image h5 {
	font-size: 0.8125rem;
	line-height: 1.125rem;
	margin-bottom: 0.625rem;
	color: #757575;
}

.slide-image h2 {
	padding: 0 0.25rem;
	margin-bottom: 0.8125rem;
	font-size: 1.625rem;
	line-height: 2rem;
	color: black;
	text-transform: uppercase;
}

.slide-image .btn-or {
	justify-content: center;
	align-items: center;
	text-align: center;
	box-sizing: border-box;
	cursor: pointer;
	display: inline-flex;
	height: 3rem;
	border-radius: 1.5rem;
	font-size: 0.9375rem;
	line-height: 1.0625rem;
	margin-left: 0.5rem;
	padding: 0 2rem;
	color: #fff;
	background-color: #000;
}

.next-btn,
.prev-btn {
	background: #eee;
	padding: 16px;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	font-size: 20px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.6);
	z-index: 100;
	cursor: pointer;
	transition: 400ms;
}

.next-btn:hover,
.prev-btn:hover {
	background: #48f9ff;
}

.prev-btn {
	left: 0;
}

.next-btn {
	right: 0;
}

/* Navigation Dots */

.navigation-dots {
	display: flex;
	height: 32px;
	align-items: center;
	justify-content: center;
	margin: 16px 0;
}

.single-dot {
	background: #333;
	height: 16px;
	width: 16px;
	border-radius: 50%;
	margin: 0 8px;
	cursor: pointer;
	transition: 400ms;
}

.single-dot.active {
	background: #000;
}

/* Media Query */

@media screen and (max-width: 850px) {
	hr,
	.nav-i,
	.menu-title,
	.mob-footer {
		display: block;
	}

	#header {
		border-bottom: 0.0625rem solid #e5e5e5;
	}

	.nav-list {
		z-index: 1000;
		position: relative;
		top: -5rem;
		width: 100%;
		height: 100vh;
		display: none;
		flex-direction: column;
		align-items: unset;
		justify-content: unset;
		background-color: #fff;
		border-bottom: unset;
	}

	.nav-list li:hover .flex-row {
		display: none;
	}

	.nav-name::after {
		display: none;
	}

	.nav-name:hover {
		text-shadow: unset;
	}

	hr {
		margin: 1rem 0 0.5rem;
		border: none;
		border-top: 1px solid #e5e5e5;
	}

	.menu-title {
		text-align: center;
		padding: 1.125rem 0 0;
	}

	.mob-sub-menu {
		width: 100%;
		margin: 0 auto;
		background-color: #fff;
	}

	.mob-sub-menu li {
		display: flex;
		height: 100;
		justify-content: flex-start;
		padding: 1rem 0;
		align-items: center;
	}

	.header-left form {
		width: 19.5rem;
		margin-left: 1rem;
	}

	.hamburger-menu {
		display: block;
	}

	.hamburger-menu .open-icon {
		display: block;
	}
	.hamburger-menu .open-icon.active {
		display: none;
	}

	.nav-list .close-icon {
		display: none;
		position: absolute;
		right: 2rem;
		top: 1rem;
		cursor: pointer;
	}

	.nav-list.active .close-icon {
		display: block;
	}

	.nav-list.active {
		display: flex;
	}
}

@media screen and (max-width: 680px) {
	#header {
		height: 7rem;
		align-items: flex-start;
		margin-top: 1rem;
	}

	.header-left form {
		position: absolute;
		top: 4.4rem;
		left: 0.6rem;
		width: 87vw;
	}

	.header-left .search-btn {
		left: 93%;
	}

	.hamburger-menu {
		display: flex;
		flex: 1;
	}

	.header-right {
		flex: 2;
	}

	.nav-list {
		top: -8rem;
	}
}

#scroll-to-top {
	position: fixed;
	bottom: 0.3125rem;
	right: 0.75rem;
	width: 3.4375rem !important;
	height: 3.4375rem !important;
	border: 0.0625rem solid #757575 !important;
	z-index: 99;
	color: #000000;
	justify-content: center;
	align-items: center;
	background-color: #ffffff;
	border-radius: 50%;
	padding: 0;
	display: none;
	outline: none;
}

#scroll-to-top i {
	font-size: 1.2rem;
}
